API to create a new payment config for given account
API to create a new payment config for given account
http
POST https://services.leadconnectorhq.com/payments/custom-provider/connect
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
locationId
string
Yes
Lk3nlfk4lxlelVEwcW
Account id
Body
Name
Type
Required
Example
Description
live
object
Yes
Live config containing api-key and publishable key for live payments
test
object
Yes
Test config containing api-key and publishable-key for test payments
Responses
200 - Successful response
name (string, required): The name of the custom provider Example: Company Paypal Integration
description (string, required): Description of payment gateway. Shown on the payments integrations page as subtext Example: This payment gateway supports payments in India via UPI, Net banking, cards and wallets.
paymentsUrl (string, required): This url will be loaded in iFrame to start a payment session. Example: https://testpayment.paypal.com
queryUrl (string, required): The url used for querying payments related events. Ex. verify, refund, subscription etc. Example: https://testsubscription.paypal.com
imageUrl (string, required): Public image url for logo of the payment gateway displayed on the payments integrations page. Example: https://testsubscription.paypal.com
_id (string, required): The unique identifier for the custom provider. Example: 662a44ad19a2a44d3cd9d749
locationId (string, required): Account id Example: Lk3nlfk4lxlelVEwcW
marketplaceAppId (string, required): The application id of marketplace Example: 65f0b217a05c774da7f1efa5